CCOLLECT(1)

NAME
ccollect - (pseudo) incremental backup with different exclude lists using hardlinks and rsync

SYNOPSIS

ccollect.sh [args] <interval name> <sources to backup>

DESCRIPTION

ccollect is a backup utility written in the sh-scripting language. It does not depend on a specific shell, only /bin/sh needs to be bourne shell compatibel (like dash, ksh, zsh, bash, ...).

For more information refer to the manual titled "ccollect - Installing, Configuring and Using" (available as text (asciidoc), texinfo or html).

OPTIONS

-a, --all
    Backup all sources specified in /etc/ccollect/sources

-e, --errors
    Log only errors

-h, --help
    Show the help screen

-j [max], --jobs [max]
    Specifies the number of jobs to run simultaneously. If max is not specified then parallelise all jobs.

-l FILE, --logfile FILE
    Log to specified file

-p, --parallel
    Parallelise backup processes (deprecated from 2.0)

-s, --syslog
    Log to syslog with tag ccollect

-V, --version
    Show version and exit

-v, --verbose
    Be very verbose (uses set -x)

LOGGING MECHANISM

ccollect logging depends on running in non-interactive/interactive mode and on specified optins. The mechanism behaves as the following:

non-interactive mode

        • standard output goes to syslog

        • optional: specify logging into file

        • log all output by default

        • optional: log only errors

interactive mode

        • standard output goes to stdout

        • log only errors

        • optional: log into syslog or file

            • log all output by default

            • optional: log only errors

SEE ALSO

ccollect_add_source(1), ccollect_analyse_logs(1), ccollect_logwrapper(1) ccollect_delete_source(1), ccollect_list_intervals(1)

AUTHOR

Nico Schottelius <nico-ccollect--@--schottelius.org>

RESOURCES

Main web site: http://www.nico.schottelius.org/software/ccollect/

COPYING

Copyright (C) 2006-2008 Nico Schottelius. Free use of this software is granted under the terms of the GNU General Public License Version 3 (GPLv3).

AUTHOR

Nico Schottelius <nico-ccollect--@--schottelius.org>
    Author.